%define oname gmyth

Summary: MythTV remote access libraries
Name: libgmyth
Version: 0.7.1
Release: alt1
License: LGPLv2+
Group: System/Libraries
Url: http://gmyth.sf.net

Source: http://downloads.sourceforge.net/%oname/%oname-%version.tar.gz
Patch: gmyth-0.7.1-alt-makefile.patch
Patch2: gmyth-remove-debug.patch
Packager: Alexey Shaballin <shaba@altlinux.ru>

BuildPreReq: glib2-devel libxml2-devel libcurl-devel libMySQL-devel

%description
GMyth is a library used by applications to access content provided by the
MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or
TV listings.

%package devel
Summary: Development libraries for MythTV remote access
Group: Development/C
Requires: %name = %version-%release

%description devel
Development libraries and headers for the GMyth library.

%package utils
Summary: Development libraries for MythTV remote access
Group: Video
Requires: %name = %version-%release

%description utils
GMyth is a library used by applications to access content provided by the
MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or
TV listings.

%prep
%setup -q -n %oname-%version
%patch -p1
%patch2 -p0

%build
%autoreconf
%configure --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files utils
%_bindir/*

%files
%_libdir/*.so.*
%doc AUTHORS COPYING

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Sat Oct 11 2008 Alexey Shabalin <shaba@altlinux.ru> 0.7.1-alt1
- initial build for ALTLinux

